Page MenuHomePhabricator

Run reader survey in multiple languages - Hindi
Closed, ResolvedPublic

Description

TODO

  • [Florian] Fix sampling rate
  • [Leila] Create Reader-segmentation-3-privacy page. Missing translation.
  • [Nathaniel] Make sure the ID is prefilled in the surveys.

Code

'enabled' => true,
'name' => 'Reader-segmentation-3-hi-main',
'type' => 'external',
'description' => 'Reader-segmentation-1-description', // (blank)
'link' => 'Reader-segmentation-3-link', //
'question' => 'Reader-segmentation-3-message', //
'privacyPolicy' => 'Reader-segmentation-3-privacy',
'coverage' => 0.5, // 1 out of 2
'platforms' => [
        'desktop' => [ 'stable' ],
        'mobile' => [ 'stable' ],
],
'instanceTokenParameterName' => 'entry.901222064',

Event Timeline

leila created this task.Jun 18 2017, 12:49 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJun 18 2017, 12:49 PM

@Niharika I forgot to ask you for one translation, I think. Can you translate these two sentences/phrases?

@Niharika I forgot to ask you for one translation, I think. Can you translate these two sentences/phrases?

Hey @leila, I'm not sure which two phrases you mean there. And where should I put the translation?

leila added a comment.Jun 19 2017, 4:16 AM

@Niharika I meant "Survey data handled by a third party. Privacy." You can translate it and paste it as a comment here, or directly in this page. In the latter case, please replace the English text in the page.

@leila Here's the translation - सर्वेक्षण डेटा किसी तीसरी पार्टी द्वारा संभाला जा रहा है। गोपनीयता।
The last word is the translation of "Privacy".
Are you sure you didn't mean to put "Privacy policy" instead of just "privacy"? Sounds a bit odd.

leila added a comment.Jun 19 2017, 4:28 AM

@leila Here's the translation - सर्वेक्षण डेटा किसी तीसरी पार्टी द्वारा संभाला जा रहा है। गोपनीयता।

Thanks! :)

The last word is the translation of "Privacy".
Are you sure you didn't mean to put "Privacy policy" instead of just "privacy"? Sounds a bit odd.

Thanks for bringing it up. Yes. The place this message will be shown is a small widget where size is a constraint, so we had to cut that sentence quite short.

leila updated the task description. (Show Details)Jun 19 2017, 4:30 AM

Ah, okay. Makes sense. I put the translation here because I don't have edit permissions on that page. :)

schana renamed this task from [Nor Ready] Run reader survey in multiple languages - Hindi to [Not Ready] Run reader survey in multiple languages - Hindi.Jun 19 2017, 11:12 AM
schana updated the task description. (Show Details)
flemmerich updated the task description. (Show Details)Jun 19 2017, 12:36 PM
leila renamed this task from [Not Ready] Run reader survey in multiple languages - Hindi to Run reader survey in multiple languages - Hindi.Jun 20 2017, 8:31 AM
leila removed a project: Epic.

asked for help from Satdeep for notifying the Hindi Wikipedia community.

@Niharika if you have some time, can you help us with two more items? (Please feel free to say no, I feel slightly bad to keep bugging you but I really want to say this is the last one;)

Thank you, either way! :)

Hi @leila, no worries at all. I'll take a look at this tomorrow first thing. Was a little busy today.

I don't have an account or edit rights on wikimediafoundation.org so I'll just paste my translations/corrections here for you to copy them over. :)

leila added a comment.Jun 21 2017, 8:37 PM

thanks, @Niharika .

Per T168197#3368425, Satdeep has posted the notification to Hindi Wikipedia's Village Pump. @satdeep_gill please let us know if there is any update to that notification we should be aware of (any communication from the Hindi community), otherwise, we will launch the survey as planned. Thanks for your help and looking forward to the results. :)

leila moved this task from Staged to In Progress on the Research board.Jun 21 2017, 8:37 PM
leila added a comment.Jun 22 2017, 2:37 PM

@Niharika @satdeep_gill can one of you translate two phrases in https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-quicksurveys&language=hi&filter=%21translated&action=translate ? "No thanks" and "Visit survey". These will be shown in quicksurvey buttons, so let's try to keep them as short as possible. :)

Missing hyperlinks in the Hindi survey

  • नीति = privacy policy (lead section)
  • सेवा की शर्तों = terms of service (lead section)
  • आप के द्वारा सर्वेक्षण में दी गई प्रतिक्रियाएं = your survey resopnses (2nd section)
  • उपयोग की शर्तों = terms of use (3rd section)
  • डेटा प्रतिधारण दिशानिर्देश = data retention guidelines (4th section)

@Niharika @satdeep_gill can one of you translate two phrases in https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-quicksurveys&language=hi&filter=%21translated&action=translate ? "No thanks" and "Visit survey". These will be shown in quicksurvey buttons, so let's try to keep them as short as possible. :)

Done. I glanced through the Hindi statement and it looks fine to me (but perhaps Satdeep can take another look).

One extra bracket in the last link. :)

leila added a comment.Jun 23 2017, 4:29 AM

fixed. thanks! :)

@satdeep_gill the survey is now stopped. Feel free to share the following message or a modified version of it with your community. :)

This survey run for a week and it ended at around 2320 UTC on 2017-06-29. We have received more than 4600 responses from your language and we will start analyzing the results on 2017-07-03. We will update the status when more information becomes available. Thank you for working with us to make this survey happen. :)

leila closed this task as Resolved.Jun 29 2017, 11:27 PM